Olympus Docs
ReferenceAPIsOry Hydra APIoAuth2

Delete OAuth 2.0 Client

Delete an existing OAuth 2.0 Client by its ID.

DELETE /admin/clients/{id}

Delete an existing OAuth 2.0 Client by its ID.

OAuth 2.0 clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.

Make sure that this endpoint is well protected and only callable by first-party components.

Operation ID: deleteOAuth2Client    Tag: oAuth2

Path parameters

NameTypeRequiredDescription
idstringyesThe id of the OAuth 2.0 Client.

Responses

StatusDescriptionBody
204Empty responses are sent when, for example, resources are deleted. The HTTP status code for empty responses is typically 204.-
defaultgenericErrorapplication/json, object

Generated from ../athena/openapi.json at build time.

On this page